<?xml version="1.0" encoding="UTF-8"?>
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:ns11="http://xbrl.org/2008/assertion/consistency" xmlns:xl="http://www.xbrl.org/2003/XLink">
    <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" xlink:type="simple"/>
    <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
        <link:loc xlink:href="grx-2025-06-30.xsd#grx_ArbitrationRelatedExpenses" xlink:type="locator" xlink:label="ArbitrationRelatedExpenses"/>
        <link:loc xlink:href="grx-2025-06-30.xsd#grx_BusinessDevelopmentExpenses" xlink:type="locator" xlink:label="BusinessDevelopmentExpenses"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ExpenseArisingFromExplorationForAndEvaluationOfMineralResources" xlink:type="locator" xlink:label="ExpenseArisingFromExplorationForAndEvaluationOfMineralResources"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ExpenseFromSharebasedPaymentTransactionsInWhichGoodsOrServicesReceivedDidNotQualifyForRecognitionAsAssets" xlink:type="locator" xlink:label="ExpenseFromSharebasedPaymentTransactionsInWhichGoodsOrServicesReceivedDidNotQualifyForRecognitionAsAssets"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GeneralAndAdministrativeExpense" xlink:type="locator" xlink:label="GeneralAndAdministrativeExpense"/>
        <link:loc xlink:href="grx-2025-06-30.xsd#grx_IssueOfPerformanceRights" xlink:type="locator" xlink:label="IssueOfPerformanceRights"/>
        <link:loc xlink:href="grx-2025-06-30.xsd#grx_IssuedCapitalAndSharePremium" xlink:type="locator" xlink:label="IssuedCapitalAndSharePremium"/>
        <link:loc xlink:href="grx-2025-06-30.xsd#grx_IssuedCapitalAndSharePremiumMember" xlink:type="locator" xlink:label="IssuedCapitalAndSharePremiumMember"/>
        <link:loc xlink:href="grx-2025-06-30.xsd#grx_LapseOfUnvestedPerformanceRights" xlink:type="locator" xlink:label="LapseOfUnvestedPerformanceRights"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:type="locator" xlink:label="NoncurrentLiabilities"/>
        <link:loc xlink:href="grx-2025-06-30.xsd#grx_PaymentsForArbitrationRelatedExpenses" xlink:type="locator" xlink:label="PaymentsForArbitrationRelatedExpenses"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsForShareIssueCosts" xlink:type="locator" xlink:label="PaymentsForShareIssueCosts"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsToSuppliersForGoodsAndServicesAndToAndOnBehalfOfEmployees" xlink:type="locator" xlink:label="PaymentsToSuppliersForGoodsAndServicesAndToAndOnBehalfOfEmployees"/>
        <link:loc xlink:href="grx-2025-06-30.xsd#grx_ReceiptsFromArbitrationFunding" xlink:type="locator" xlink:label="ReceiptsFromArbitrationFunding"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RentalExpense" xlink:type="locator" xlink:label="RentalExpense"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ShareIssueRelatedCost" xlink:type="locator" xlink:label="ShareIssueRelatedCost"/>
        <link:labelArc xlink:from="ArbitrationRelatedExpenses" xlink:to="documentation_ArbitrationRelatedExpenses" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="ArbitrationRelatedExpenses" xlink:to="label_ArbitrationRelatedExpenses" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="ArbitrationRelatedExpenses" xlink:to="negated_ArbitrationRelatedExpenses" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="BusinessDevelopmentExpenses" xlink:to="documentation_BusinessDevelopmentExpenses" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="BusinessDevelopmentExpenses" xlink:to="label_BusinessDevelopmentExpenses" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="BusinessDevelopmentExpenses" xlink:to="negated_BusinessDevelopmentExpenses" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="ExpenseArisingFromExplorationForAndEvaluationOfMineralResources" xlink:to="negated_ExpenseArisingFromExplorationForAndEvaluationOfMineralResources" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="ExpenseFromSharebasedPaymentTransactionsInWhichGoodsOrServicesReceivedDidNotQualifyForRecognitionAsAssets" xlink:to="negated_ExpenseFromSharebasedPaymentTransactionsInWhichGoodsOrServicesReceivedDidNotQualifyForRecognitionAsAssets" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="GeneralAndAdministrativeExpense" xlink:to="negated_GeneralAndAdministrativeExpense" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="IssueOfPerformanceRights" xlink:to="documentation_IssueOfPerformanceRights" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="IssueOfPerformanceRights" xlink:to="label_IssueOfPerformanceRights" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="IssuedCapitalAndSharePremium" xlink:to="documentation_IssuedCapitalAndSharePremium" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="IssuedCapitalAndSharePremium" xlink:to="label_IssuedCapitalAndSharePremium" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="IssuedCapitalAndSharePremiumMember" xlink:to="documentation_IssuedCapitalAndSharePremiumMember" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="IssuedCapitalAndSharePremiumMember" xlink:to="label_IssuedCapitalAndSharePremiumMember" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="LapseOfUnvestedPerformanceRights" xlink:to="documentation_LapseOfUnvestedPerformanceRights" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="LapseOfUnvestedPerformanceRights" xlink:to="label_LapseOfUnvestedPerformanceRights" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="NoncurrentLiabilities" xlink:to="negatedTotalLabel_NoncurrentLiabilities" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="PaymentsForArbitrationRelatedExpenses" xlink:to="documentation_PaymentsForArbitrationRelatedExpenses" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="PaymentsForArbitrationRelatedExpenses" xlink:to="label_PaymentsForArbitrationRelatedExpenses" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="PaymentsForArbitrationRelatedExpenses" xlink:to="negated_PaymentsForArbitrationRelatedExpenses" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="PaymentsForShareIssueCosts" xlink:to="negated_PaymentsForShareIssueCosts" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="PaymentsToSuppliersForGoodsAndServicesAndToAndOnBehalfOfEmployees" xlink:to="negated_PaymentsToSuppliersForGoodsAndServicesAndToAndOnBehalfOfEmployees" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="ReceiptsFromArbitrationFunding" xlink:to="documentation_ReceiptsFromArbitrationFunding" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="ReceiptsFromArbitrationFunding" xlink:to="label_ReceiptsFromArbitrationFunding" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="RentalExpense" xlink:to="negated_RentalExpense" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="ShareIssueRelatedCost" xlink:to="negated_ShareIssueRelatedCost" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:label id="documentation_ArbitrationRelatedExpenses_pl" xlink:label="documentation_ArbitrationRelatedExpenses" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Koszty związane z postępowaniem arbitrażowym</link:label>
        <link:label id="documentation_BusinessDevelopmentExpenses_pl" xlink:label="documentation_BusinessDevelopmentExpenses" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Koszty rozwoju działalności</link:label>
        <link:label id="documentation_IssueOfPerformanceRights_pl" xlink:label="documentation_IssueOfPerformanceRights" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Emisja uprawnień do akcji wynikowych</link:label>
        <link:label id="documentation_IssuedCapitalAndSharePremiumMember_pl" xlink:label="documentation_IssuedCapitalAndSharePremiumMember" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Kapitał własny wniesiony [member]</link:label>
        <link:label id="documentation_IssuedCapitalAndSharePremium_pl" xlink:label="documentation_IssuedCapitalAndSharePremium" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Kapitał własny wniesiony</link:label>
        <link:label id="documentation_LapseOfUnvestedPerformanceRights_pl" xlink:label="documentation_LapseOfUnvestedPerformanceRights" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Wygaśnięcie niewykorzystanych uprawnień do akcji wynikowych</link:label>
        <link:label id="documentation_PaymentsForArbitrationRelatedExpenses_pl" xlink:label="documentation_PaymentsForArbitrationRelatedExpenses" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Płatności z tytułu wydatków związanych z arbitrażem</link:label>
        <link:label id="documentation_ReceiptsFromArbitrationFunding_pl" xlink:label="documentation_ReceiptsFromArbitrationFunding" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Wpływy z tytułu finansowania arbitrażu</link:label>
        <link:label id="label_ArbitrationRelatedExpenses_pl" xlink:label="label_ArbitrationRelatedExpenses" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Koszty związane z postępowaniem arbitrażowym</link:label>
        <link:label id="label_BusinessDevelopmentExpenses_pl" xlink:label="label_BusinessDevelopmentExpenses" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Koszty rozwoju działalności</link:label>
        <link:label id="label_IssueOfPerformanceRights_pl" xlink:label="label_IssueOfPerformanceRights" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Emisja uprawnień do akcji wynikowych</link:label>
        <link:label id="label_IssuedCapitalAndSharePremiumMember_pl" xlink:label="label_IssuedCapitalAndSharePremiumMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Kapitał własny wniesiony [member]</link:label>
        <link:label id="label_IssuedCapitalAndSharePremium_pl" xlink:label="label_IssuedCapitalAndSharePremium" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Kapitał własny wniesiony</link:label>
        <link:label id="label_LapseOfUnvestedPerformanceRights_pl" xlink:label="label_LapseOfUnvestedPerformanceRights" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Wygaśnięcie niewykorzystanych uprawnień do akcji wynikowych</link:label>
        <link:label id="label_PaymentsForArbitrationRelatedExpenses_pl" xlink:label="label_PaymentsForArbitrationRelatedExpenses" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Płatności z tytułu wydatków związanych z arbitrażem</link:label>
        <link:label id="label_ReceiptsFromArbitrationFunding_pl" xlink:label="label_ReceiptsFromArbitrationFunding" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Wpływy z tytułu finansowania arbitrażu</link:label>
        <link:label id="negatedTotalLabel_NoncurrentLiabilities_pl" xlink:label="negatedTotalLabel_NoncurrentLiabilities" xlink:role="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="resource" xml:lang="pl">Zobowiązania długoterminowe ogółem</link:label>
        <link:label id="negated_ArbitrationRelatedExpenses_pl" xlink:label="negated_ArbitrationRelatedExpenses" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Koszty związane z postępowaniem arbitrażowym</link:label>
        <link:label id="negated_BusinessDevelopmentExpenses_pl" xlink:label="negated_BusinessDevelopmentExpenses" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Koszty rozwoju działalności</link:label>
        <link:label id="negated_ExpenseArisingFromExplorationForAndEvaluationOfMineralResources_pl" xlink:label="negated_ExpenseArisingFromExplorationForAndEvaluationOfMineralResources" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Koszty wynikające z poszukiwania i oceny zasobów mineralnych</link:label>
        <link:label id="negated_ExpenseFromSharebasedPaymentTransactionsInWhichGoodsOrServicesReceivedDidNotQualifyForRecognitionAsAssets_pl" xlink:label="negated_ExpenseFromSharebasedPaymentTransactionsInWhichGoodsOrServicesReceivedDidNotQualifyForRecognitionAsAssets" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Koszty z tytułu transakcji płatności w formie akcji</link:label>
        <link:label id="negated_GeneralAndAdministrativeExpense_pl" xlink:label="negated_GeneralAndAdministrativeExpense" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Koszty ogólne i administracyjne</link:label>
        <link:label id="negated_PaymentsForArbitrationRelatedExpenses_pl" xlink:label="negated_PaymentsForArbitrationRelatedExpenses" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Płatności z tytułu wydatków związanych z arbitrażem</link:label>
        <link:label id="negated_PaymentsForShareIssueCosts_pl" xlink:label="negated_PaymentsForShareIssueCosts" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Płatności na pokrycie kosztów emisji akcji</link:label>
        <link:label id="negated_PaymentsToSuppliersForGoodsAndServicesAndToAndOnBehalfOfEmployees_pl" xlink:label="negated_PaymentsToSuppliersForGoodsAndServicesAndToAndOnBehalfOfEmployees" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Płatności dokonane na rzecz dostawców za dobra i usługi oraz na rzecz i w imieniu pracowników</link:label>
        <link:label id="negated_RentalExpense_pl" xlink:label="negated_RentalExpense" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Koszty najmu</link:label>
        <link:label id="negated_ShareIssueRelatedCost_pl" xlink:label="negated_ShareIssueRelatedCost" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Koszty związane z emisją akcji</link:label>
    </link:labelLink>
</link:linkbase>
